Skip to content

Get device app details
Stable

Request

Get details of a specific app installed on an Android device. Retrieves the full DeviceApp record for a single app identified by app_id on the specified Android device, including the app's app_name, package_name, state, app_type, version_code, version_name, is_active, is_kiosk_app, is_esper_controlled, whitelisted, is_data_clearable, and is_uninstallable fields.

Workflow

Call this endpoint to retrieve the full list of Android application id and package_name pairs for the enterprise. Identify the application_id UUID for the package you want to work with. Use GET /v1/enterprise/{enterprise_id}/application/{application_id}/version/ to retrieve available versions for that application. Use the version_id from step 3 in POST /commands/v0/commands/ to issue an install command to target devices.

Security
esper_cloud_api_apiKey
Path
app_idstring, (uuid)required

A UUID string identifying this device app.

enterprise_idstringrequired

A UUID string identifying this device.

device_idstringrequired

A UUID string identifying this enteprise.

cURL
curl -i -X GET \
  'https://api.esper.io/_mock/openapi/enterprise/{enterprise_id}/device/{device_id}/app/{app_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

successful operation

Bodyapplication/json
idstring, (uuid)(Id)read-only
app_namestring, non-empty(App name)required
statestring
app_typestring
package_namestring, [ 1 .. 255 ] characters(Package name)required
whitelistedboolean(Whitelisted)
is_data_clearableboolean(Data clearable)
is_uninstallableboolean(Uninstallable)
product_idstring or null, [ 1 .. 255 ] characters(Product id)
version_codestring or null, [ 1 .. 128 ] characters(Version code)
version_namestring or null, [ 1 .. 128 ] characters(Version name)
created_onstring, (date-time)(Created on)read-only
updated_onstring, (date-time)(Updated on)read-only
is_activeboolean(Is active)
is_kiosk_appboolean
is_esper_controlledboolean
devicestring, (uuid)(AndroidDevice)required
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "app_name": "string", "state": "string", "app_type": "string", "package_name": "string", "whitelisted": true, "is_data_clearable": true, "is_uninstallable": true, "product_id": "string", "version_code": "string", "version_name": "string", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "is_active": true, "is_kiosk_app": true, "is_esper_controlled": true, "device": "8dca31e6-c85b-4a6b-bfb4-205d45d9b3bd" }